package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.entities.Rekanan;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class Penerimaaan Barang VO
 * 
 * @author Generator
 */
public class PemakaianBarangHabisPakaiVO {
	
	
	@Caption(value="Tanggal Terima")
	private Date tanggalTerima;
	
	@Caption(value="Keterangan")
	private String keterangan;
	
	@OneToMany
	private Set<PemakaianBarangHabisPakaiDetailVO> pemakaianBarangHabisPakai=new HashSet<PemakaianBarangHabisPakaiDetailVO>();

	public Set<PemakaianBarangHabisPakaiDetailVO> getPemakaianBarangHabisPakai() {
		return pemakaianBarangHabisPakai;
	}

	public void setPemakaianBarangHabisPakai(Set<PemakaianBarangHabisPakaiDetailVO> pemakaianBarangHabisPakai) {
		this.pemakaianBarangHabisPakai = pemakaianBarangHabisPakai;
	}

	public Date getTanggalTerima() {
		return tanggalTerima;
	}

	public void setTanggalTerima(Date tanggalTerima) {
		this.tanggalTerima = tanggalTerima;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	
	
	

}

